--vkogqOf2sHV7VnPd
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable

On Wed, May 19, 2010 at 11:45:44PM +0900, Yusuke ENDOH wrote:
> Hi,
>=20
> Thank you for your help.
>=20
>=20
> 2010/5/19 Szymon Je? <redmine / ruby-lang.org>:
> > /home/jeznet/.rvm/gems/ruby-1.9.2-head/bundler/gems/rails-16a5e918a0664=
9ffac24fd5873b875daf66212ad-master/activesupport/lib/active_support/core_ex=
t/object/try.rb:29: [BUG] rb_add_method: unsupported method type (8)
>=20
> This issue seems like [Bug #2051] which is already fixed.
>=20
>=20
> > ruby 1.9.2dev (2009-07-18 trunk 24186) [x86_64-linux]
>=20
> It is very old trunk, though I don't know the reason.
> Anyone here is familiar with rvm?

Somewhat.

Probably done with a very old rvm version, when versions marked
1.9.2-head versions still referenced trunk.=20

The following is always suggested:

  $ rvm update --head  # for lots of reasons=20

The mentioned:

  $ rvm install 1.9.2-head

now uses branches/ruby_1_9_2 instead of trunk, so updating rvm and
reinstalling the same ruby version should fix everything.

Currently, I get r27902 using the same command.

Cheers!

--=20
Cezary Baginski

--vkogqOf2sHV7VnPd
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: Digital signature
Content-Disposition: inline

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkv0FWgACgkQgEYXSknSpI+XKwCfbFZVwBCUORGsq1z2jCwfUJuZ
xbUAnjw7CkMJFg0nudNfJ8UKWzHVg1XD
=arLg
-----END PGP SIGNATURE-----

--vkogqOf2sHV7VnPd--

On Wed, May 19, 2010 at 11:45:44PM +0900, Yusuke ENDOH wrote:
> Hi,
> 
> Thank you for your help.
> 
> 
> 2010/5/19 Szymon Je? <redmine / ruby-lang.org>:
> > /home/jeznet/.rvm/gems/ruby-1.9.2-head/bundler/gems/rails-16a5e918a06649ffac24fd5873b875daf66212ad-master/activesupport/lib/active_support/core_ext/object/try.rb:29: [BUG] rb_add_method: unsupported method type (8)
> 
> This issue seems like [Bug #2051] which is already fixed.
> 
> 
> > ruby 1.9.2dev (2009-07-18 trunk 24186) [x86_64-linux]
> 
> It is very old trunk, though I don't know the reason.
> Anyone here is familiar with rvm?

Somewhat.

Probably done with a very old rvm version, when versions marked
1.9.2-head versions still referenced trunk. 

The following is always suggested:

  $ rvm update --head  # for lots of reasons 

The mentioned:

  $ rvm install 1.9.2-head

now uses branches/ruby_1_9_2 instead of trunk, so updating rvm and
reinstalling the same ruby version should fix everything.

Currently, I get r27902 using the same command.

Cheers!

-- 
Cezary Baginski
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkv0FWgACgkQgEYXSknSpI+XKwCfbFZVwBCUORGsq1z2jCwfUJuZ
xbUAnjw7CkMJFg0nudNfJ8UKWzHVg1XD
=arLg
-----END PGP SIGNATURE-----